
Core - Bug # 53846

Status: Resolved Priority: Should have
Author: Benjamin Mack Category: Install Tool
Created: 2013-11-21 Assigned To: Benjamin Mack
Updated: 2014-03-04 Due date:
TYPO3 Version: 6.2
PHP Version:
Is Regression: No
Subject: Enhance RTE Magic Image FAL migration upgrade wizard
Description

If the RTE magic images FAL migration upgrade wizard in the
install tool ever fails (due to max_execution_time) or some 
SQL error, then the migration stops and can be run again.

However, if the wizard is run again, it always checks
if the source file still exists. The wizard should rather
check if the target file exists, if not, move the source file
to the target file.

As a separate "step" in this wizard, if the target file (already)
exists, then  the DB change can be done.

Additionally, a typo for the output is fixed as well.

Related issues:
related to Core - Story # 54270: As an User I need to upgrade from pre-FAL or... Closed 2013-12-06

Associated revisions
Revision 8806f950 - 2014-03-04 17:42 - Benjamin Mack

[CLEANUP] Enhance RTE Magic Image FAL migration wizard

If the RTE magic images FAL migration upgrade wizard in the
install tool ever fails (due to max_execution_time) or some
SQL error, then the migration stops and can be run again.

However, if the wizard is run again, it always checks
if the source file still exists. The wizard should rather
check if the target file exists, if not, move the source file
to the target file.

As a separate "step" in this wizard, if the target file (already)
exists, then the DB change can be done.

Additionally, a typo for the output is fixed as well.

Resolves: #53846
Releases: 6.2
Change-Id: Id7c3b6176997848210d83c54cd133819ab15f435
Reviewed-on: https://review.typo3.org/25622
Reviewed-by: Wouter Wolters
Reviewed-by: Tom Ruether
Tested-by: Tom Ruether
Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny

History
#1 - 2013-11-21 19:28 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25622

#2 - 2014-03-04 18:30 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8806f950ac79b7ce70cc4ddcc2c871bee86a5aae.
